<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\PackageCategory;
use Illuminate\Auth\Access\HandlesAuthorization;

class PackageCategoryPolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:PackageCategory');
    }

    public function view(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('View:PackageCategory');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:PackageCategory');
    }

    public function update(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('Update:PackageCategory');
    }

    public function delete(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('Delete:PackageCategory');
    }

    public function restore(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('Restore:PackageCategory');
    }

    public function forceDelete(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('ForceDelete:PackageCategory');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:PackageCategory');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:PackageCategory');
    }

    public function replicate(AuthUser $authUser, PackageCategory $packageCategory): bool
    {
        return $authUser->can('Replicate:PackageCategory');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:PackageCategory');
    }

}